$title	ex1.gms: Elementary Use of GDXXLS from a GAMS Program

set	r	Regions	/
	a	Country A
	b	Country B
	c	Country C /

	g	Goods /
	x	Good x -- labor intensive
	y	Good y -- capital intensive /;

parameter	
	t(r,g)	Trade flows
	z(r,g)	Production levels;

t(r,g) = uniform(0,1);
z(r,g) = uniform(0,1);

*	Save the sets and parameters to be written:

execute_unload "ex1.gdx",t,z,r,g;

*	Write out a command file for GDXXRW.

*	In this example two tables are generated.

*	The table for parameter t is written with set
*	elements as row and column labels.

*	The table for parameter z substitute descriptive
*	text in place of set elements.  We also change the default
*	font from Arial to Garamond:

$onecho >ex1.rsp
item = t

item = z
RowDomain = r
ColDomain = g
DataWidth = 25
xlMarkup = .cells.Font.Name = "Garamond" 
$offecho

*	Generate the worksheet:

execute "gdxxls ex1";
