$title	ex2.gms: Advanced Use of GDXXLS from a GAMS Program

*	Define sets for both the column and row domains.

*	Note that we use integers to impose a specific order
*	on rows and columns in the output table.

set flbl(*,*)/
	1.Land		Land
	2.NatlRes	Resources
	3.Capital	Capital
	4.UnskLab	Unskilled
	5.SkLab		Skilled Labor /;

set	rlabels(*,*)	Regions/

	1.header1	Andean Pact
	2.per		Peru
	3.col		Colombia
	4.ven		Venezuela
	5.xap		Rest of Andean Pact
	7.header2	Other South America
	8.bra		Brazil
	9.arg		Argentina
	10.chl		Chile
	11.ury		Uruguay
	13.mex		Mexico
	12.cen		Rest of South America
	15.header3	Rest of world
	16.eur		European Union
	17.usa		United States of America
	18.chn		China
	19.jpn		Japan /;


*	Define a subset of factors for vfmshr.  Note that this
*	omits two columns (land and resources) from the output.

set kl /Capital	Capital
	UnskLab	Unskilled Labor
	SkLab	Skilled Labor /;

*	Define some row labels, including some subheadings and
*	assiging row numbers.  Note that row 17 is omitted and
*	therefore is left blank:

set	irlabels(*,*,*) /

	1.tex.h1	Textiles production
	2.tex.per	Peru
	3.tex.col	Colombia
	4.tex.ven	Venezuela
	5.tex.xap	Rest of Andean Pact
	6.tex.bra	Brazil
	7.tex.arg	Argentina
	8.tex.chl	Chile
	9.tex.ury	Uruguay
	10.tex.cen	Other South-Central America
	11.tex.mex	Mexico
	12.tex.eur	European Union
	13.tex.usa	United States of America
	14.tex.chn	China
	15.tex.jpn	Japan
	16.tex.row	Rest of World

	18.wap.h2	Wearing Apparel
	19.wap.per	Peru
	20.wap.col	Colombia
	21.wap.ven	Venezuela
	22.wap.xap	Rest of Andean Pact
	23.wap.bra	Brazil
	24.wap.arg	Argentina
	25.wap.chl	Chile
	26.wap.ury	Uruguay
	27.wap.cen	Other South-Central America
	28.wap.mex	Mexico
	29.wap.eur	European Union
	30.wap.usa	United States of America
	31.wap.chn	China
	32.wap.jpn	Japan
	33.wap.row	Rest of world/;

*	Read the GTAP data tables:

table evomshr(*,*)  Primary factor endowment shares

           Land     UnskLab       SkLab     Capital     NatlRes
chn       0.048       0.448       0.108       0.379       0.018
jpn       0.002       0.361       0.221       0.414       0.001
usa       0.004       0.346       0.246       0.401       0.002
mex       0.016       0.214       0.094       0.662       0.014
col       0.030       0.424       0.185       0.341       0.020
per       0.027       0.212       0.110       0.641       0.011
ven       0.019       0.286       0.118       0.532       0.045
xap       0.044       0.421       0.141       0.354       0.040
arg       0.017       0.366       0.171       0.438       0.008
bra       0.008       0.325       0.191       0.470       0.006
chl       0.026       0.283       0.120       0.558       0.013
ury       0.033       0.244       0.089       0.632       0.003
CEN       0.023       0.349       0.154       0.469       0.006
EUR       0.005       0.284       0.197       0.510       0.003
ROW       0.027       0.334       0.155       0.461       0.023;

table vfmshr(*,*,*)  Primary factor shares

               Land     UnskLab       SkLab     Capital     NatlRes

oil.chn                   0.101       0.019       0.499       0.381
oil.usa                   0.102       0.077       0.399       0.422
oil.mex                   0.039       0.010       0.626       0.324
oil.col                   0.084       0.017       0.541       0.358
oil.per                   0.212       0.046       0.406       0.336
oil.ven                   0.089       0.022       0.549       0.341
oil.xap                   0.084       0.018       0.538       0.359
oil.arg                   0.326       0.102       0.157       0.415
oil.bra                   0.099       0.022       0.425       0.454
oil.CEN                   0.212       0.047       0.355       0.386
oil.EUR                   0.022       0.044       0.559       0.374
oil.ROW                   0.108       0.026       0.449       0.417
omn.chn                   0.447       0.063       0.309       0.181
omn.jpn                   0.218       0.151       0.470       0.160
omn.usa                   0.362       0.143       0.363       0.132
omn.mex                   0.238       0.041       0.598       0.123
omn.col                   0.646       0.095       0.175       0.085
omn.per                   0.340       0.048       0.470       0.142
omn.ven                   0.199       0.032       0.671       0.098
omn.xap                   0.648       0.091       0.170       0.090
omn.arg                   0.406       0.082       0.406       0.106
omn.bra                   0.430       0.069       0.263       0.237
omn.chl                   0.246       0.041       0.583       0.130
omn.ury                   0.363       0.061       0.454       0.123
omn.CEN                   0.419       0.068       0.386       0.128
omn.EUR                   0.294       0.140       0.400       0.166
omn.ROW                   0.251       0.055       0.526       0.168
cmt.chn                   0.341       0.066       0.593
cmt.jpn                   0.399       0.179       0.421
cmt.usa                   0.640       0.105       0.255
cmt.mex                   0.157       0.028       0.814
cmt.col                   0.739       0.117       0.143
cmt.per                   0.048       0.006       0.946
cmt.ven                   0.663       0.095       0.242
cmt.xap                   0.765       0.095       0.141
cmt.arg                   0.540       0.087       0.372
cmt.bra                   0.373       0.061       0.566
cmt.chl                   0.452       0.075       0.472
cmt.ury                   0.357       0.051       0.592
cmt.CEN                   0.462       0.082       0.456
cmt.EUR                   0.409       0.146       0.445
cmt.ROW                   0.418       0.099       0.484
sgr.jpn                   0.366       0.165       0.469
sgr.usa                   0.508       0.189       0.303
sgr.mex                   0.129       0.030       0.841
sgr.col                   0.272       0.059       0.669
sgr.per                   0.087       0.018       0.895
sgr.ven                   0.480       0.108       0.412
sgr.xap                   0.277       0.058       0.664
sgr.arg                   0.377       0.095       0.529
sgr.bra                   0.608       0.100       0.292
sgr.chl                   0.263       0.060       0.677
sgr.ury                   0.166       0.038       0.796
sgr.CEN                   0.234       0.052       0.714
sgr.EUR                   0.287       0.090       0.624
sgr.ROW                   0.384       0.089       0.527
ofd.chn                   0.372       0.080       0.548
ofd.jpn                   0.446       0.200       0.354
ofd.usa                   0.341       0.127       0.532
ofd.mex                   0.132       0.031       0.837
ofd.col                   0.478       0.104       0.418
ofd.per                   0.078       0.016       0.906
ofd.ven                   0.497       0.111       0.392
ofd.xap                   0.485       0.102       0.413
ofd.arg                   0.445       0.112       0.443
ofd.bra                   0.385       0.063       0.552
ofd.chl                   0.285       0.065       0.649
ofd.ury                   0.490       0.112       0.399
ofd.CEN                   0.360       0.080       0.560
ofd.EUR                   0.404       0.127       0.469
ofd.ROW                   0.366       0.098       0.537
tex.chn                   0.412       0.067       0.521
tex.jpn                   0.551       0.206       0.243
tex.usa                   0.562       0.122       0.316
tex.mex                   0.256       0.042       0.702
tex.col                   0.558       0.083       0.359
tex.per                   0.153       0.020       0.827
tex.ven                   0.467       0.068       0.465
tex.xap                   0.570       0.076       0.354
tex.arg                   0.387       0.064       0.549
tex.bra                   0.329       0.054       0.617
tex.chl                   0.387       0.061       0.552
tex.ury                   0.265       0.039       0.696
tex.CEN                   0.293       0.046       0.661
tex.EUR                   0.563       0.150       0.287
tex.ROW                   0.454       0.084       0.462
wap.chn                   0.549       0.076       0.375
wap.jpn                   0.580       0.105       0.315
wap.usa                   0.635       0.175       0.189
wap.mex                   0.230       0.036       0.734
wap.col                   0.614       0.089       0.297
wap.per                   0.025       0.004       0.971
wap.ven                   0.514       0.080       0.406
wap.xap                   0.616       0.091       0.292
wap.arg                   0.289       0.051       0.660
wap.bra                   0.791       0.130       0.080
wap.chl                   0.431       0.067       0.502
wap.ury                   0.299       0.048       0.653
wap.CEN                   0.273       0.040       0.686
wap.EUR                   0.548       0.119       0.333
wap.ROW                   0.498       0.092       0.410
p_c.chn                   0.293       0.062       0.645
p_c.jpn                   0.202       0.122       0.676
p_c.usa                   0.326       0.180       0.494
p_c.mex                   0.329       0.077       0.595
p_c.col                   0.348       0.065       0.587
p_c.per                   0.720       0.107       0.173
p_c.ven                   0.049       0.009       0.941
p_c.xap                   0.364       0.054       0.582
p_c.arg                   0.260       0.063       0.677
p_c.bra                   0.372       0.061       0.567
p_c.chl                   0.111       0.023       0.865
p_c.ury                   0.353       0.068       0.579
p_c.CEN                   0.350       0.080       0.570
p_c.EUR                   0.098       0.119       0.783
p_c.ROW                   0.243       0.065       0.692
crp.chn                   0.399       0.080       0.521
crp.jpn                   0.333       0.196       0.471
crp.usa                   0.294       0.230       0.476
crp.mex                   0.191       0.051       0.757
crp.col                   0.325       0.076       0.600
crp.per                   0.149       0.037       0.814
crp.ven                   0.358       0.097       0.545
crp.xap                   0.325       0.080       0.594
crp.arg                   0.453       0.153       0.394
crp.bra                   0.342       0.056       0.602
crp.chl                   0.356       0.093       0.551
crp.ury                   0.367       0.105       0.528
crp.CEN                   0.365       0.086       0.549
crp.EUR                   0.398       0.234       0.368
crp.ROW                   0.318       0.120       0.562
nfm.chn                   0.483       0.091       0.426
nfm.jpn                   0.346       0.210       0.444
nfm.usa                   0.533       0.172       0.296
nfm.mex                   0.182       0.037       0.781
nfm.col                   0.554       0.099       0.347
nfm.per                   0.224       0.037       0.739
nfm.ven                   0.198       0.036       0.766
nfm.xap                   0.565       0.092       0.343
nfm.arg                   0.711       0.149       0.141
nfm.bra                   0.245       0.040       0.715
nfm.chl                   0.272       0.052       0.675
nfm.ury                   0.416       0.077       0.507
nfm.CEN                   0.415       0.080       0.505
nfm.EUR                   0.478       0.158       0.364
nfm.ROW                   0.399       0.106       0.496
ome.chn                   0.424       0.087       0.489
ome.jpn                   0.388       0.240       0.373
ome.usa                   0.352       0.322       0.327
ome.mex                   0.241       0.068       0.691
ome.col                   0.619       0.153       0.228
ome.per                   0.036       0.010       0.954
ome.ven                   0.462       0.135       0.403
ome.xap                   0.611       0.164       0.225
ome.arg                   0.600       0.222       0.178
ome.bra                   0.403       0.066       0.531
ome.chl                   0.463       0.129       0.408
ome.CEN                   0.301       0.074       0.625
ome.EUR                   0.489       0.300       0.211
ome.ROW                   0.380       0.173       0.447
OTH.chn       0.062       0.460       0.117       0.347       0.013
OTH.jpn       0.002       0.382       0.236       0.379       0.001
OTH.usa       0.003       0.363       0.261       0.372       0.001
OTH.mex       0.016       0.235       0.112       0.633       0.005
OTH.col       0.034       0.434       0.201       0.323       0.008
OTH.per       0.035       0.247       0.142       0.570       0.007
OTH.ven       0.024       0.306       0.137       0.526       0.007
OTH.xap       0.053       0.454       0.161       0.325       0.006
OTH.arg       0.018       0.374       0.182       0.423       0.003
OTH.bra       0.008       0.359       0.230       0.402 1.909351E-4
OTH.chl       0.032       0.288       0.137       0.536       0.007
OTH.ury       0.034       0.269       0.104       0.591       0.002
OTH.CEN       0.026       0.371       0.176       0.424       0.003
OTH.EUR       0.002       0.319       0.229       0.448       0.002
OTH.ROW       0.028       0.350       0.172       0.440       0.011;

*	Save the data and labels to a GDX file:

execute_unload 'ex2.gdx',flbl,rlabels,evomshr,kl,irlabels,vfmshr;

*	Write the GDXXLS command file:

$onecho >ex2.rsp
item = evomshr
coldomain = flbl
rowdomain = rlabels
LabelWidth = 25
DataWidth = 15
TitleMarkup = .Font.Bold=True: .Font.Size=18
xlmarkup = .Rows(5).Font.Bold=True : .Rows(11).Font.Bold=True : .Rows(19).Font.Bold=True

item = vfmshr
coldomain = kl
rowdomain = irlabels
LabelWidth = 25
DataWidth = 20
TitleMarkup = .Font.Bold=True: .Font.Size=18
xlmarkup = .Rows(5).Font.Bold=True : .Rows(22).Font.Bold=True : .Rows(5).Font.Size=12 : .Rows(22).Font.Size=12
$offecho

execute 'gdxxls ex2';
